Re: New to Debian



On Thu, Dec 03, 2009 at 09:29:57AM -0700, debian@xxxxxxxxxxxxxxxxx wrote:
1) How can I disable the graphical login and/or avoid X11 to start
automatically? I can't install the nVidia driver since it tells me to stop
X11 before. And, is it possible to leave it that way, just with the simple
text consoles, and start X11 manually when required?

Well, one way to do this would be to close the display manager you
use. For example, if gdm is what is running, I'd use /etc/init.d/gdm stop
Alternately, you can switch runlevels, but that isn't really
necessary, I think. See http://wiki.debian.org/RunLevel and
http://www.debian-administration.org/article/An_introduction_to_run-levels
for details.

2) How can I install KDE? Currently it is running with Gnome... I've just
download all 5 DVDs plus the updates one... the gnome (un)install shows
most KDE applications to install, but not the full window manager... and,
once installed, is it safe to remove Gnome to free disk space? Just the
window manager, not its libraries that should break some dependencies if
deleted.

Yes. It is free to remove the parts of Gnome which is not needed. To
get KDE, you can install one of the meta packages, such as kde-core
(in Lenny), or get all things KDE with the "kde" package.

3) There are some programs/drivers that independently of the distro, I
prefer to install them by hand from sources. Does it affect in some way if
I do this? The most common ones are kernel, MySQL, msn, irc, some
multimedia stuff, etc. but at least the kernel and MySQL that I don't like
to use packages for them...

It shouldn't, but then, you might have problems getting other
dependencies working. The kernel shouldn't be bother, but MySQL is
more significant, since, if a package from Debian needs MySQL to run,
you'd have to explicitly specify that you have your own MySQL, since
it won't be able to find the Debian installed MySQL.

If package versions being old is your worry, you could consider
Backports, which offer you updated software for Stable Debian
releases: http://www.backports.org

4) Is it possible to install LILO instead of GRUB? I know it is better and
advanced, but I like LILO... would it be safe to install it without
breaking some kind of dependence?

I believe so, but I don't know the methods/problems. Someone
else/Google should be able to help you with this.

Well, that's enough by now, today I need at least to setup the nVidia
driver and hopefully the latest kernel (no matter if it is GRUB by now)...

Thanks for your help,

Have a great time with your Debian installation, and we'll do our best
to answer your queries here.

Kumar


--
To UNSUBSCRIBE, email to debian-user-REQUEST@xxxxxxxxxxxxxxxx
with a subject of "unsubscribe". Trouble? Contact listmaster@xxxxxxxxxxxxxxxx



Relevant Pages

  • Re: How do you know?
    ... esearch, want to install? ... | | emerge. ... had MySQL extensions to be compiled with MySQL support. ...
    (Fedora)
  • Re: MySQL 5.0.18/Postfix 2.2.2-2
    ... Subject: MySQL 5.0.18/Postfix 2.2.2-2 ... The correct fix for this problem is to install the MySQL4 compatibility ... And there are no error messages and postfix works fine! ... It's the whole distribution, not a single package. ...
    (Fedora)
  • Re: Python does not play well with others
    ... reason why a provider would have Python available, ... MySQL database instances per user, but not MySQLdb installed, would be ... Who wants to host at a company that can't install packages anyway? ... provide at least some version of MySQLdb as a package. ...
    (comp.lang.python)
  • Re: Trouble getting PHP to use MySQL
    ... not have PHP ... Now, when I look at the PHPInfo.php page, it does show MySQL ... Best to get a complete working package, ... And WAMP is ok for someone who doesn't understand how to install ...
    (comp.lang.php)
  • Re: help with packaging (preinst scripts)
    ... well actually the package will install some software that has to be run by ... want in a file in the package, ... Will you know what the correct Database name will be? ... If MySQL is not installed, it will be installed as a dependency. ...
    (Debian-User)